Get Related List Actions with a Request Body

Get the actions on related lists for a record detail page. This resource uses the POST method so you can enter request parameters in the request body instead using complex URL parameters.
Resources
/ui-api/actions/record/${recordIds}/related-list/${relatedListId}
  • recordIds—The 15 or 18 character ID of a record.
  • relatedListId—(Optional) A related list ID. If this parameter isn’t specified, the request returns all related list actions for the specified record. To get actions for a batch of related lists, see Get a Batch of Related List Actions with a Request Body.
Available Version
57.0
HTTP Method
POST
Example

To get information about related list actions on a record detail page, use this request with a request body.

POST /services/data/v68.0/ui-api/actions/record/001R0000003IDlwIAG/related-list
{
  "apiNames": ["New"],
  "retrievalMode": "All"
}
Request Parameters
Parameter Name Type Description Required or Optional Available Version
listRecordActionsQuery Action Input The data for related list actions. Optional 57.0
Response Body
Action